# Package org.apache.maven.scm

Interface Summary
ScmVersion

Class Summary
AbstractScmVersion
ChangeFile: A set of information about revisions of a file as returned by CVS's log command
ChangeSet
CommandParameter
CommandParameters
ScmBranch
ScmBranchParameters
ScmFile
ScmFileSet: Set of files used for SCM operations.
ScmFileStatus
ScmRequest: Base class for SCM wrapped parameters.
ScmResult
ScmRevision
ScmTag
ScmTagParameters
ScmTckTestCase: Base class for all TcK tests.
ScmTestCase: Base class for all scm tests.
ScmUntagParameters: parameters used by implementation to perform untag operation

Exception Summary
NoSuchCommandScmException
ScmException